import java.awt.*;
import java.awt.event.*;
import freaklamarsch.util.*;
/**
* <code>Dialog</code> to remove Files from <code>Javacw</code>
* @see Javacw
* @author FReAK La Marsch
*/

public class RemoveFileDialog extends Dialog
{
    private Javacw owner;
    private FLMResizableArray files;
    private CheckboxScrollPane csp;
    private Dimension screen = Toolkit.getDefaultToolkit().getScreenSize();

    private ActionListener cancelAction = new ActionListener()
    {
        public void actionPerformed(ActionEvent evt)
        {
            dispose();
        }
    };

    private ActionListener removeAction = new ActionListener()
    {
        public void actionPerformed(ActionEvent evt)
        {
            Component[] c = csp.getComponents();
            Checkbox cb;
            FLMResizableArray sf = new FLMResizableArray();
            for(int i=0; i<c.length; i++)
            {
                if (c[i] instanceof Checkbox)
                {
                    cb = (Checkbox)c[i];
                    if (!cb.getState())
                    {
                        sf.add(cb.getLabel());
                    }
                }
            }
            owner.setSourceFiles(sf);
            dispose();
        }
    };

    RemoveFileDialog(Javacw ow)
    {
        super(ow, "Remove files ...", true);
        this.owner = ow;
        this.files = ow.getSourceFiles();
        
        //Listener to close this Dialog without sending data
        addWindowListener(new WindowAdapter()
        {
            public void windowClosing(WindowEvent e)
            {
                dispose();
            }
        });

        //Add the input elements to this Dialog
        setFont(new Font("Arial", Font.PLAIN, 10));

        GridBagLayout gridbag = new GridBagLayout();
        GridBagConstraints constraints = new GridBagConstraints();
        setLayout(gridbag);

        csp = new CheckboxScrollPane(files, ScrollPane.SCROLLBARS_AS_NEEDED);
        constraints.gridx = 0;
        constraints.gridy = 0;
        constraints.weightx = 1;
        constraints.weighty = 1;
        constraints.gridwidth = 2;
        constraints.anchor = GridBagConstraints.NORTH;
        constraints.fill = GridBagConstraints.BOTH;
        gridbag.setConstraints(csp, constraints);
        add(csp);
        
        Button removeButton = new Button("remove checked Files");
        removeButton.addActionListener(removeAction);
        constraints.gridx = 0;
        constraints.gridy = 1;
        constraints.weightx = 0.5;
        constraints.weighty = 0;
        constraints.gridwidth = 1;
        constraints.insets = new Insets(0, 0, 0, 3);
        constraints.anchor = GridBagConstraints.SOUTHEAST;
        constraints.fill = GridBagConstraints.NONE;
        gridbag.setConstraints(removeButton, constraints);
        add(removeButton);
        
        Button cancelButton = new Button("cancel");
        cancelButton.addActionListener(cancelAction);
        constraints.gridx = 1;
        constraints.gridy = 1;
        constraints.weightx = 0.5;
        constraints.weighty = 0;
        constraints.gridwidth = 1;
        constraints.insets = new Insets(0, 2, 0, 0);
        constraints.anchor = GridBagConstraints.SOUTHWEST;
        constraints.fill = GridBagConstraints.NONE;
        gridbag.setConstraints(cancelButton, constraints);
        add(cancelButton);
        validate();
        //pack();
        setSize(screen.width,screen.height);
    }
}
