package freaklamarsch.awt;

import java.awt.*;

/**
* <code>Panel</code> that uses doublebuffering for it's content to paint
* @author FReAK La Marsch
*/
public class FLMBufferedPanel extends Panel
{
	private Image bufferImage;

	public void paint(Graphics g)
	{
		if(bufferImage == null)
		{
			bufferImage = createImage(getSize().width, getSize().height);
		}
		Graphics offscreen = bufferImage.getGraphics();
		offscreen.setClip(0, 0, getSize().width, getSize().height);
		super.paint(offscreen);
		g.drawImage(bufferImage, 0, 0, null);
		offscreen.dispose();
	}

	public void invalidate()
	{
		super.invalidate();
		bufferImage = null;
	}

	public void update(Graphics g)
	{
		paint(g);
	}
}


