package freaklamarsch.io;

import java.io.*;
/**
* <code>FilenameFilter</code> that tests if the given File is a Directory
* @author FReAK La Marsch
*/
public class FLMDirectoryFilter implements FilenameFilter
{
    /**
    * Tests if a specified file should be included in a file list.
    * @param dir the directory in which the file was found.
    * @param name the name of the file.
    * @return true if and only if the name should be included in the file list; false otherwise.
    */
    public boolean accept(File dir, String name)
    {
        if(new File(dir, name).isDirectory()) return true;
        return false;
    }
}
