package freaklamarsch.util;

/**
* Utility to do some stuff with <code>java.lang.String</code>
* @author FReAK La Marsch
*/
public class FLMStringUtil
{
    /**
    * splits a <code>String</code> at every occurence of a specific <code>char</code>
    * @param string String to split
    * @param separator char that marks the splits
    * @return array of substrings
    */
    public static String[] split(String string, char separator)
    {
        return split(string, ""+separator);
    }

    /**
    * Splits a string into an array of strings at every occurence of a specific <code>String</code>
    * @param string String to split
    * @param separator String that marks the splits
    * @return array of substrings
    */
    public static String[] split(String string, String separator)
    {
        FLMResizableArray splits = new FLMResizableArray();
        if (string.startsWith(separator))
        {
            string = string.substring(separator.length());
        }
        int i = 0;
        while ((i=string.indexOf(separator)) >= 0)
        {
            splits.add(string.substring(0,i));
            string = string.substring(i+separator.length());
        }
        if (!string.equals(""))
        {
            splits.add(string);
        }
        String[] returnValue= new String[splits.size()];
        splits.copyInto(returnValue);
        return returnValue;
    }

    /**
    * Gets a <code>String</code> and replaces every occurence of a specified <code>String</code>
    * with another <code>String</code>
    * @param string String work with
    * @param string String to replace
    * @param string String to replace with
    * @return String containing the replacments
    */
    public static String replace(String string,String oldString,String newString)
    {
        String returnValue = "";
        int marker = 0;
        int i = 0;
        while((i = string.indexOf(oldString, marker)) != -1)
        {
            returnValue += string.substring(marker, i) + newString;
           marker = i + oldString.length();
        }
        returnValue += string.substring(marker);
        return returnValue;
    }
}
